Open CASCADE Technology
7.7.0
|
Create a shape by sweeping a shape (the profile) along a wire (the spine). More...
#include <BRepFill_Pipe.hxx>
Public Member Functions | |
BRepFill_Pipe () | |
BRepFill_Pipe (const TopoDS_Wire &Spine, const TopoDS_Shape &Profile, const GeomFill_Trihedron aMode=GeomFill_IsCorrectedFrenet, const Standard_Boolean ForceApproxC1=Standard_False, const Standard_Boolean GeneratePartCase=Standard_False) | |
void | Perform (const TopoDS_Wire &Spine, const TopoDS_Shape &Profile, const Standard_Boolean GeneratePartCase=Standard_False) |
const TopoDS_Shape & | Spine () const |
const TopoDS_Shape & | Profile () const |
const TopoDS_Shape & | Shape () const |
Standard_Real | ErrorOnSurface () const |
const TopoDS_Shape & | FirstShape () const |
const TopoDS_Shape & | LastShape () const |
void | Generated (const TopoDS_Shape &S, TopTools_ListOfShape &L) |
Returns the list of shapes generated from the shape <S>. More... | |
TopoDS_Face | Face (const TopoDS_Edge &ESpine, const TopoDS_Edge &EProfile) |
Returns the face created from an edge of the spine and an edge of the profile. if the edges are not in the spine or the profile. More... | |
TopoDS_Edge | Edge (const TopoDS_Edge &ESpine, const TopoDS_Vertex &VProfile) |
Returns the edge created from an edge of the spine and a vertex of the profile. if the edge or the vertex are not in the spine or the profile. More... | |
TopoDS_Shape | Section (const TopoDS_Vertex &VSpine) const |
Returns the shape created from the profile at the position of the vertex VSpine. if the vertex is not in the Spine. More... | |
TopoDS_Wire | PipeLine (const gp_Pnt &Point) |
Create a Wire by sweeping the Point along the <spine> if the <Spine> is undefined. More... | |
Create a shape by sweeping a shape (the profile) along a wire (the spine).
For each edge or vertex from the spine the user may ask for the shape generated from each subshape of the profile.
BRepFill_Pipe::BRepFill_Pipe | ( | ) |
BRepFill_Pipe::BRepFill_Pipe | ( | const TopoDS_Wire & | Spine, |
const TopoDS_Shape & | Profile, | ||
const GeomFill_Trihedron | aMode = GeomFill_IsCorrectedFrenet , |
||
const Standard_Boolean | ForceApproxC1 = Standard_False , |
||
const Standard_Boolean | GeneratePartCase = Standard_False |
||
) |
TopoDS_Edge BRepFill_Pipe::Edge | ( | const TopoDS_Edge & | ESpine, |
const TopoDS_Vertex & | VProfile | ||
) |
Returns the edge created from an edge of the spine and a vertex of the profile. if the edge or the vertex are not in the spine or the profile.
Standard_Real BRepFill_Pipe::ErrorOnSurface | ( | ) | const |
TopoDS_Face BRepFill_Pipe::Face | ( | const TopoDS_Edge & | ESpine, |
const TopoDS_Edge & | EProfile | ||
) |
Returns the face created from an edge of the spine and an edge of the profile. if the edges are not in the spine or the profile.
const TopoDS_Shape& BRepFill_Pipe::FirstShape | ( | ) | const |
void BRepFill_Pipe::Generated | ( | const TopoDS_Shape & | S, |
TopTools_ListOfShape & | L | ||
) |
Returns the list of shapes generated from the shape <S>.
const TopoDS_Shape& BRepFill_Pipe::LastShape | ( | ) | const |
void BRepFill_Pipe::Perform | ( | const TopoDS_Wire & | Spine, |
const TopoDS_Shape & | Profile, | ||
const Standard_Boolean | GeneratePartCase = Standard_False |
||
) |
TopoDS_Wire BRepFill_Pipe::PipeLine | ( | const gp_Pnt & | Point | ) |
Create a Wire by sweeping the Point along the <spine> if the <Spine> is undefined.
const TopoDS_Shape& BRepFill_Pipe::Profile | ( | ) | const |
TopoDS_Shape BRepFill_Pipe::Section | ( | const TopoDS_Vertex & | VSpine | ) | const |
Returns the shape created from the profile at the position of the vertex VSpine. if the vertex is not in the Spine.
const TopoDS_Shape& BRepFill_Pipe::Shape | ( | ) | const |
const TopoDS_Shape& BRepFill_Pipe::Spine | ( | ) | const |